import React from "react";
import clsx from "clsx";
import ListItem from "@material-ui/core/ListItem";
import ListItemIcon from "@material-ui/core/ListItemIcon";
import ListItemText from "@material-ui/core/ListItemText";
import ShowChartIcon from "@material-ui/icons/ShowChart";
import DashboardIcon from "@material-ui/icons/Dashboard";
import { NavLink as RouterNavLink } from "react-router-dom";
import { makeStyles } from "@material-ui/core/styles";

const useStyles = makeStyles((theme) => ({
  link: {
    textDecoration: "none",
    color: theme.palette.text.primary,
    "&:hover": {
      textDecoration: "none"
    }
  }
}));

const Navigation = () => {
  const styles = useStyles();
  return (
    <div>
      <RouterNavLink to="/" className={clsx(styles.link)} activeClassName="selected">
        <ListItem button>
          <ListItemIcon>
            <DashboardIcon />
          </ListItemIcon>
          <ListItemText primary="Dashboard" />
        </ListItem>
      </RouterNavLink>
      <RouterNavLink to="/chart" className={clsx(styles.link)} activeClassName="selected">
        <ListItem button>
          <ListItemIcon>
            <ShowChartIcon />
          </ListItemIcon>
          <ListItemText primary="Chart" />
        </ListItem>
      </RouterNavLink>
    </div>
  );
};

export default Navigation;
